import request from '@/utils/request'

// 查询保税区供应链数据列表
export function listBONDEDUPPLY(query) {
  return request({
    url: '/BONDEDUPPLY/list',
    method: 'get',
    params: query
  })
}

// 查询保税区供应链数据所有列表
export function listAllBONDEDUPPLY(query) {
  return request({
    url: '/BONDEDUPPLY/listAll',
    method: 'get',
    params: query
  })
}

// 查询保税区供应链数据详细
export function getBONDEDUPPLY(lddwmc) {
  return request({
    url: '/BONDEDUPPLY/getInfo/' + lddwmc,
    method: 'get'
  })
}

// 新增保税区供应链数据
export function addBONDEDUPPLY(data) {
  return request({
    url: '/BONDEDUPPLY/add',
    method: 'post',
    data: data
  })
}

// 修改保税区供应链数据
export function updateBONDEDUPPLY(data) {
  return request({
    url: '/BONDEDUPPLY/edit',
    method: 'post',
    data: data
  })
}

// 删除保税区供应链数据
export function delBONDEDUPPLY(lddwmc) {
  return request({
    url: '/BONDEDUPPLY/remove/' + lddwmc,
    method: 'get'
  })
}
